Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.template
Class TemplateLoader

    java.lang.Object
      org.jboss.portal.format.template.TemplateRepository
          org.jboss.portal.format.template.TemplateLoader

    public class TemplateLoader

extends TemplateRepository

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.format.template.TemplateRepository
`TemplateRepository.TemplateClassLoader`

Constructor Summary
`TemplateLoader(Loader loader)`

Method Summary
`void` | `addTemplate(java.lang.String name, java.lang.String loadName)`
`void` | `addTemplate(java.lang.String name, java.lang.String loadName, java.util.Set names)`
`static TemplateLoader` | `create(java.lang.ClassLoader cl, java.lang.String base)`
`Loader` | `getLoader()`
`org.dom4j.Document` | `loadTemplate(java.lang.String name)` Simply loads a template and returns it.
`void` | `setLoader(Loader loader)`

Methods inherited from class org.jboss.portal.format.template.TemplateRepository
`addTemplate, addTemplate, addTemplate, addTemplate, clear, createTemplate, createTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateLoader

    public TemplateLoader(Loader loader)

Method Detail

### getLoader

    public Loader getLoader()

### setLoader

    public void setLoader(Loader loader)

### addTemplate

    public void addTemplate(java.lang.String name,
                            java.lang.String loadName)
                     throws BuildException

  Throws:
    `BuildException`

### addTemplate

    public void addTemplate(java.lang.String name,
                            java.lang.String loadName,
                            java.util.Set names)
                     throws BuildException

  Throws:
    `BuildException`

### loadTemplate

    public org.dom4j.Document loadTemplate(java.lang.String name)
                                    throws BuildException

  Simply loads a template and returns it.

  Throws:
    `BuildException`

### create

    public static TemplateLoader create(java.lang.ClassLoader cl,
                                        java.lang.String base)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD